Approve or reject a flagged referral
PATCH
/v1/referral/admin/referrals/{referralId}/reviewAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
referralIdstringrequiredRequest body
requiredapplication/jsonactionstringrequirednotesstringResponses
200OK
created_atstringrequiredfraud_bandstringrequiredfraud_reasonsstring[] | nullrequiredfraud_scoreinteger<int64>requiredfraud_statusstringrequiredidstringrequiredreferee_emailstringrequiredreferee_namestringrequiredreferral_codestringrequiredreferrer_emailstringrequiredreferrer_namestringrequiredstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/referral/admin/referrals/string/review" \
-H "Content-Type: application/json" \
-d '{
"action": "string",
"notes": "string"
}'const response = await fetch("/v1/referral/admin/referrals/string/review", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"action": "string",
"notes": "string"
})
});import requests
response = requests.patch(
"/v1/referral/admin/referrals/string/review",
headers={
"Content-Type": "application/json"
},
json={
"action": "string",
"notes": "string"
},
)Response
{
"created_at": "string",
"fraud_band": "string",
"fraud_reasons": [
"string"
],
"fraud_score": 0,
"fraud_status": "string",
"id": "string",
"referee_email": "string",
"referee_name": "string",
"referral_code": "string",
"referrer_email": "string",
"referrer_name": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}